Package: org.codehaus.groovy.runtime

## [Java] Class WritableFile

- org.codehaus.groovy.runtime.WritableFile

- All Implemented Interfaces and Traits:
    Writable

      public class WritableFile
      extends File
      implements Writable

  A Writable File.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class File` | `separatorChar, separator, pathSeparatorChar, pathSeparator`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `WritableFile (File delegate)`
    `WritableFile (File delegate, String encoding)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Writer` | `writeTo(Writer out)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class File` | `equals, length, toString, hashCode, compareTo, compareTo, getName, list, list, getParent, isAbsolute, delete, setReadOnly, canRead, getPath, toURI, toURL, getParentFile, getAbsolutePath, getAbsoluteFile, getCanonicalPath, getCanonicalFile, isDirectory, canWrite, exists, isFile, isHidden, lastModified, createNewFile, deleteOnExit, listFiles, listFiles, listFiles, mkdir, mkdirs, renameTo, setLastModified, setWritable, setWritable, setReadable, setReadable, setExecutable, setExecutable, canExecute, listRoots, getTotalSpace, getFreeSpace, getUsableSpace, createTempFile, createTempFile, toPath, wait, wait, wait, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public WritableFile(File delegate)

    - #### public WritableFile(File delegate, String encoding)

  - ### Method Detail

    - #### public Writer writeTo(Writer out)